define(['backbone', 'jquery', 'models/film'], function (Backbone, $, Film) {
	var omdbSync = function(method,model,options) {
		if(method != "read") throw new Error("Only read implemented");
		$.ajax({
			dataType: "jsonp",
			url: "http://www.omdbapi.com/?s=" + options.search,// + "&callback=alma",
			success: function(data) {
				//var cleaned = _.pluck(data.data.children,"data");
				//options.success(cleaned);
				options.success(data.Search);
			},
			error: options.error
		});
	};

	var FilmLista = Backbone.Collection.extend({
		model: Film,
		sync: omdbSync
	});

	return FilmLista;
})