define(['backbone', 'jquery'], function (Backbone, $) {
	var omdbDetailSync = function(method,model,options) {
		if(method != "read") throw new Error("Only read implemented");
		$.ajax({
			dataType: "jsonp",
			url: "http://www.omdbapi.com/?i=" + options.id,// + "&callback=alma",
			success: function(data) {
				//var cleaned = _.pluck(data.data.children,"data");
				//options.success(cleaned);
				options.success(data);
			},
			error: options.error
		});
	};

	var FilmDetail = Backbone.Model.extend({
		sync: omdbDetailSync
	});

	return FilmDetail;
})