define(['backbone', 'underscore'], function (Backbone, _) {
	var FilmView = Backbone.View.extend({
		tagName: 'li',
		template: _.template($('#film-template').html()),
		events: {
			'click': 'onClick'
		},
		render: function () {
			this.$el.html(this.template(this.model.toJSON()));
			return this;
		},
		onClick: function (e) {
			Backbone.trigger('list/select', this.model);
		}
	});

	return FilmView;
})