define(
	[
		'backbone',
		'views/searchview', 
		'views/filmlistview', 
		'views/filmdetailview',
		'models/filmdetail',
		'collections/filmlista'
	], 
	function (Backbone, SearchView, FilmListView, FilmDetailView, FilmDetail, FilmLista) {

		var AppView = Backbone.View.extend({
			initialize: function () {
				//var filmLista = new FilmLista([{"Title":"True Grit","Year":"2010","imdbID":"tt1403865","Type":"movie"},{"Title":"True Blood","Year":"2008–","imdbID":"tt0844441","Type":"series"},{"Title":"True Lies","Year":"1994","imdbID":"tt0111503","Type":"movie"},{"Title":"Dodgeball: A True Underdog Story","Year":"2004","imdbID":"tt0364725","Type":"movie"},{"Title":"True Romance","Year":"1993","imdbID":"tt0108399","Type":"movie"},{"Title":"True Detective","Year":"2014–","imdbID":"tt2356777","Type":"series"},{"Title":"True Detective","Year":"2014–","imdbID":"tt2356777","Type":"series"},{"Title":"True Grit","Year":"1969","imdbID":"tt0065126","Type":"movie"},{"Title":"True Crime","Year":"1999","imdbID":"tt0139668","Type":"movie"},{"Title":"True Crime","Year":"1999","imdbID":"tt0139668","Type":"movie"}]);
				new SearchView();

				new FilmListView({
					collection: new FilmLista()
				});

				new FilmDetailView({
					model: new FilmDetail()
				});		
			}
		});
		
		return AppView;
	}
)