define(['backbone'], function (Backbone) {
	var SearchView = Backbone.View.extend({
		el: '#searchForm',
		events: {
			'submit': 'search'
		},
		search: function (e) {
			e.preventDefault();
			//console.log(this);
			Backbone.trigger('search/new', {
				searchTerm: $('#txtSearch').val()
			});
		}
	});

	return SearchView;
})